unit nsShowYN; {copyright (c) 1999-2019 Old Dominion Solutions, Inc.}
interface uses Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes,
  IWCompButton, IWCompLabel, Controls, Forms, IWVCLBaseContainer,
  IWContainer, IWHTMLContainer, IWRegion, IWVCLBaseControl, IWBaseControl,
  IWBaseHTMLControl, IWControl, IWCompMemo, IWCompEdit, IWCompCheckbox,
  {wsData,} IWHTML40Container{, IWHTML40Container}{, wsGlob2};

type piwlabel_array = ^tiwlabel_array;   tiwlabel_array   = array[1..50] of TIWLabel;
  TModalResultEvent = procedure(Sender: TObject; ModalResult: TModalResult) of object;

procedure show_MessageDlg(AMsg: AnsiString; Amsg_type, AButtons: integer;
      AfixedFont: boolean; AMsgHandler: TModalResultEvent; AHelpCtx: longint);
procedure show_ok                   (s: AnsiString; msg_type: word; AMsgHandler: TModalResultEvent);


const OK_btn = 1;

type
  TShowYNForm = class(TIWAppForm)                   MsgLab: TIWLabel;
      IWLabel1: TIWLabel;    IWLabel2: TIWLabel;    IWLabel3: TIWLabel;
      IWLabel4: TIWLabel;    IWLabel5: TIWLabel;    IWLabel6: TIWLabel;
      IWLabel7: TIWLabel;    IWLabel8: TIWLabel;    IWLabel9: TIWLabel;
      IWLabel10: TIWLabel;   IWLabel11: TIWLabel;   IWLabel12: TIWLabel;
      IWLabel13: TIWLabel;   IWLabel14: TIWLabel;   IWLabel15: TIWLabel;
      IWLabel16: TIWLabel;   IWLabel17: TIWLabel;   IWLabel18: TIWLabel;
      IWLabel19: TIWLabel;   IWLabel20: TIWLabel;   IWLabel21: TIWLabel;
      IWLabel22: TIWLabel;   IWLabel23: TIWLabel;   IWLabel24: TIWLabel;
      IWLabel25: TIWLabel;   IWLabel26: TIWLabel;   IWLabel27: TIWLabel;
      IWLabel28: TIWLabel;   IWLabel29: TIWLabel;   IWLabel30: TIWLabel;
      Btn1: TIWButton;       Btn2: TIWButton;       Btn3: TIWButton;
      Btn4: TIWButton;       IWRegion1: TIWRegion;  BottomReg: TIWRegion;
    procedure BtnClick(Sender: TObject);
  public MsgLabs: piwlabel_array;
    buttons: integer; MsgHandlerw: TModalResultEvent;

  end;

implementation uses ServerController, UserSessionUnit, IWInit{, wsGlob1};

{$R *.dfm}

const label_count = 31;

{******************************}
procedure TShowYNForm.BtnClick(Sender: TObject);
    var buttonw: integer; Resultw: TModalResult; begin
  if Sender<>nil then buttonw := TIWButton(Sender).Tag else buttonw := 1;
  Resultw := mrNone;
  UserSession.modal_resp := Resultw;
  Release;
  MsgHandlerw(nil,Resultw);
  end;

{******************************}
procedure show_MessageDlg(AMsg: AnsiString; Amsg_type, AButtons: integer;
      AfixedFont: boolean; AMsgHandler: TModalResultEvent; AHelpCtx: longint);
  begin

  with TShowYNForm.Create(WebApplication) do begin  HelpContext := AHelpCtx;
    MsgHandlerw := AMsgHandler;
    Show;
    end; end;

{******************************}
procedure show_ok(s: AnsiString; msg_type: word; AMsgHandler: TModalResultEvent);
  begin
  if (not assigned(AMsgHandler)) and assigned(WebApplication)
      and (pos(^M,s)=0) then
    WebApplication.ShowMessage(s)
  else show_MessageDlg(s,msg_type,Ok_btn,false{FixedFont},AMsgHandler,0{help});
  end;

end.
